Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

# Class ProxyAccountIdentification1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_12.ProxyAccountIdentification1

public class ProxyAccountIdentification1 extends Object

Java class for ProxyAccountIdentification1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProxyAccountIdentification1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ProxyAccountType1Choice" minOccurs="0"/>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max2048Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`id`
`protected ProxyAccountType1Choice`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`ProxyAccountIdentification1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Gets the value of the id property.
`ProxyAccountType1Choice`
`getTp()`
Gets the value of the tp property.
`void`
`setId(String value)`
Sets the value of the id property.
`void`
`setTp(ProxyAccountType1Choice value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected ProxyAccountType1Choice tp

### id

protected String id

## Constructor Details

### ProxyAccountIdentification1

public ProxyAccountIdentification1()

## Method Details

### getTp

public ProxyAccountType1Choice getTp()
Gets the value of the tp property.

Returns:
  possible object is `ProxyAccountType1Choice`

### setTp

public void setTp(ProxyAccountType1Choice value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `ProxyAccountType1Choice`

### getId

public String getId()
Gets the value of the id property.

Returns:
  possible object is `String`

### setId

public void setId(String value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`